#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
# 
# Bakery definitions for the docker plugin
# 
# Parameters:
#  - check interval
#  - deploy [ yes | no ]
#
# Author: lars.getwan@metrosystems.net
#


# Commented out to prevent problems with CRE editions
#import agent_bakery
import urllib

try:
    from hashlib import md5
except ImportError:
    from md5 import md5 # deprecated with python 2.5

group = "agents/" + _("Agent Plugins")

register_rule(group,
    "agent_config:check_docker",
    Dictionary(
        title = _("Docker (Linux)"),
        help = _("Hosts configured via this rule get the <tt>docker</tt> plugin"),
        elements = [
            ( "activated",
              DropdownChoice(
                  title = _("Activation"),
                  choices = [
                      ( True, _("Deploy docker plugin") ),
                      ( None, _("Do not deploy docker plugin") ),
                  ]
            )),
            ( "interval",
              Age(
                 title = _("Interval for docker check"),
                 display = [ "days", "hours", "minutes" ],
                 default_value = 120,
            )),
        ],
    ),
    match = "dict",
)

